/* sensor to fade LED
 
 * 
 * using sensor to fade LED (e.g. poti sensor)
 *
 
 * SensorAktor Workshop
 * Lab3 2008
 * Kunsthochschule fuer Medien Koeln
 * Academy of Media Arts Cologne
 * http://interface.khm.de
 
 * pin mapping SensorAktor Shield (import <SensorAktor.h> to get already defined mapping)
 *
 * analog inputs: a0 = pin0, a1 = pin1, a2 = pin2, a3 = pin3, a4 = pin4, a5 = pin5
 * built-in poti: poti = pin5
 * amplified input: mic = pin0
 * switches: s1 = pin1, s2 = pin2, s3 = pin3
 * leds: led1 = pin3, led2 = pin5, led3 = pin6
 * power outs: out1 = pin3, out2 = pin5, out3 = pin6
 * motor outs: motor1_1 = pin8, motor1_2 = pin13, motor2_1 = pin11, motor2_2 = pin12
 * motor pwms: pwmMotor1 = pin10, pwmMotor2 = pin9
 * servo outs: servo1 = pin2, servo2 = pin4, servo3 = pin7

 */

// import sensor aktor library for pin mapping
#include <SensorAktor.h>

// sensor value
int sensorValue = 0;

// this block is executed one time when programm starts
void setup(){

  // set pin modes
  pinMode(led1,OUTPUT);
  
  Serial.begin(9600);

}

// this block is executed in a loop after setup is called one time
void loop(){

  // read sensor (value between 0 and 1023)
  sensorValue = analogRead(poti);
  
  // scale sensor value to use it with analogWrite (value between 0 and 254)
  sensorValue = map(sensorValue, 0, 1023, 0, 254);

  // fade LED according to the scaled sensor value
  analogWrite(led1,sensorValue);
 
  //Serial.print("mapped: ");
  //Serial.println(sensorValue);

}

